Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2002441 - mutter-devel missing dependency on mesa-libEGL-devel
Summary: mutter-devel missing dependency on mesa-libEGL-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-08 20:08 UTC by Fabio Valentini
Modified: 2021-09-24 20:30 UTC (History)
10 users (show)

Fixed In Version: mutter-41.0-2.fc36 mutter-41.0-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2004832 (view as bug list)
Environment:
Last Closed: 2021-09-20 14:13:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Fabio Valentini 2021-09-08 20:08:53 UTC
mutter-devel is missing a "runtime" dependency / Requires on mesa-libEGL-devel. 

For example, the header file "/usr/include/mutter-9/cogl/cogl/cogl-egl-defines.h" includes "#include <EGL/eglmesaext.h>", which is part of the mesa-libEGL-devel package, but it's not pulled in as a dependency of mutter-devel.

This hard dependency is missing in all versions of the mutter package in all branches of Fedora. This has the effect that even though this library is only a transitive dependency through mutter, I need to BuildRequire mesa-libEGL-devel directly in three of my packages (gala, elementary-greeter, wingpanel).

Comment 1 Neal Gompa 2021-09-10 20:38:32 UTC
The reason this happens is because even though mutter-devel requires "pkgconfig(egl)", that is now provided by libglvnd-devel. Since the header in question is exclusively from Mesa, we need "Requires: mesa-libEGL-devel" added to the package.

Comment 2 Kalev Lember 2021-09-20 14:13:15 UTC
Thanks! I went ahead and fixed this in https://src.fedoraproject.org/rpms/mutter/c/1b483df16584fab7fc4d7074dce72e2617973e59?branch=rawhide

I also cherry-picked the fix to F35, but I'll hold off submitting the F35 build as an update to avoid messing with the pending gnome-shell/mutter update that's already in Bodhi.

Comment 3 Fedora Update System 2021-09-21 12:08:53 UTC
FEDORA-2021-511edcde29 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-511edcde29

Comment 4 Fedora Update System 2021-09-21 12:09:01 UTC
FEDORA-2021-511edcde29 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-511edcde29

Comment 5 Fedora Update System 2021-09-21 18:51:31 UTC
FEDORA-2021-511edcde29 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-511edcde29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-511edcde29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-21 19:17:43 UTC
FEDORA-2021-511edcde29 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-511edcde29

Comment 7 Fedora Update System 2021-09-22 18:46:57 UTC
FEDORA-2021-511edcde29 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-511edcde29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-511edcde29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-24 20:30:23 UTC
FEDORA-2021-511edcde29 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.